require('packer').startup(function(use)
    use 'wbthomason/packer.nvim'
    use 'gpanders/editorconfig.nvim'
    use 'navarasu/onedark.nvim'
    use 'lewis6991/gitsigns.nvim'
    use 'numToStr/Comment.nvim'
    use {
        'nvim-lualine/lualine.nvim',
        requires = {
            'kyazdani42/nvim-web-devicons',
            opt = true
        }
    }
    use {
        'nvim-telescope/telescope.nvim',
        tag = '0.1.0',
        -- or                            , branch = '0.1.x',
        requires = {{'nvim-lua/plenary.nvim'}}
    }
    use {
        "folke/which-key.nvim",
        config = function()
            require("which-key").setup()
        end
    }
    -- use {
    --   'VonHeikemen/lsp-zero.nvim',
    --   requires = {
    --     -- LSP Support
    --     {'neovim/nvim-lspconfig'},
    --     {'williamboman/mason.nvim'},
    --     {'williamboman/mason-lspconfig.nvim'},

    --     -- Autocompletion
    --     {'hrsh7th/nvim-cmp'},
    --     {'hrsh7th/cmp-buffer'},
    --     {'hrsh7th/cmp-path'},
    --     {'saadparwaiz1/cmp_luasnip'},
    --     {'hrsh7th/cmp-nvim-lsp'},
    --     {'hrsh7th/cmp-nvim-lua'},

    --     -- Snippets
    --     {'L3MON4D3/LuaSnip'},
    --     {'rafamadriz/friendly-snippets'},
    --   }
    -- }
    -- use 'neovim/lsp'
    -- use 'neovim/nvim-lspconfig'
    use {
        'nvim-treesitter/nvim-treesitter',
        run = function()
            local ts_update = require('nvim-treesitter.install').update({
                with_sync = true
            })
            ts_update()
        end
    }
    -- use 'williamboman/mason.nvim'
    -- use 'williamboman/mason-lspconfig.nvim'
    -- use 'hrsh7th/nvim-cmp'
    -- use 'hrsh7th/cmp-nvim-lsp'

    -- Automatically set up your configuration after cloning packer.nvim
    -- Put this at the end after all plugins
    if packer_bootstrap then
        require('packer').sync()
    end
end)
